List recent trade signals
curl --request GET \
--url https://api.hoox.sh/signalsconst options = {method: 'GET'};
fetch('https://api.hoox.sh/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hoox.sh/signals"
response = requests.get(url)
print(response.text){
"success": true,
"result": [
{
"signal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 123,
"symbol": "BTCUSDT",
"signal_type": "LONG",
"source": "tv-webhook"
}
]
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}Signals
List recent trade signals
Internal endpoint on trade-worker. Returns the most recent
trade signals persisted to D1, newest first.
GET
/
signals
List recent trade signals
curl --request GET \
--url https://api.hoox.sh/signalsconst options = {method: 'GET'};
fetch('https://api.hoox.sh/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hoox.sh/signals"
response = requests.get(url)
print(response.text){
"success": true,
"result": [
{
"signal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 123,
"symbol": "BTCUSDT",
"signal_type": "LONG",
"source": "tv-webhook"
}
]
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}{
"success": false,
"requestId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
"error": "Invalid JSON payload structure."
}Query Parameters
Maximum number of signals to return
Required range:
1 <= x <= 100Last modified on June 17, 2026
⌘I